@import url('https://fonts.googleapis.com/css2?family=Kapakana:wght@300..400&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Roboto:ital,wght@0,100..900;1,100..900&family=WDXL+Lubrifont+SC&display=swap');

.section2 {
    width: 100%;
    min-height: 75vh;
    padding: 50px 100px;
}


.section2 div {
    width: 95%;
    margin: auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
}


.section2 div div {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    transition: 0.2s all;
    border-radius: 25px;
}


.section2 div div .text {
    position: absolute;
    bottom: 0;
    color: white;
    font-weight: bold;

}

.section2 div div h2 {
    font-family: "WDXL Lubrifont SC", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.9em;
}

.section2 div div h3 {

    margin-top: 20px;

}

.section2 div div h3 {
    color: rgba(243, 185, 39, 0.945);
    position: relative;
    cursor: pointer;
    transition: 0.5s all;
}

.section2 div div h3:hover {
    letter-spacing: 2.5px;
}

.section2 div div h3:after {
    content: "";
    position: absolute;
    top: 22px;
    left: 0;
    z-index: 999;
    width: 100%;
    height: 1px;
    background-color: rgba(243, 185, 39, 0.945);
}

.section2 div div a {

    text-decoration: none;
    color: white;

}


.section2 div div:hover .overlay {
    opacity: 0;
}
.section2 div div:hover .text {
    transform: translateY(-20px);

}

.section2 div div:hover img {
    transform: scale(1.1);
}

.section2 div div .text {

    transform: translateY(20px);
    z-index: 99;

}


.section2 div div .img img {
    transition: 0.2s all;


    width: 100%;
    height: auto;
}

.section2 div div .overlay {
    transition: 0.5s all;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.781), rgba(255, 255, 255, 0.363));

    z-index: 2;
}